// File ImportMarc.h by az

#ifndef IMPORT_MARC_H
#define IMPORT_MARC_H

#include "ImportFormat.h"
#include <QWidget>

class QString;
class QFile;
class QLabel;
class RTMSimulator;

/**
 * @brief Class that is used to import files in Marc Mentat format.
 */
class ImportMarc : public ImportFormat
{
    int m_numberOfNodes;
    int m_numberOfElements;

private:
    bool readSizeInformation(QFile* pFile);
    bool importNodes(QFile* pFile);
    bool importConnections(QFile* pFile);
    void read(QFile* pFile);

public:
    ImportMarc(QFile* pFile, RTMSimulator* pSimulator);
    ImportMarc(QString strFile, RTMSimulator* pSimulator);
};

#endif //IMPORT_MARC_H
